## org.apache.lucene.analysis.miscellaneous
Class SingleTokenTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.miscellaneous.SingleTokenTokenStream

    public class SingleTokenTokenStream

extends TokenStream

A `TokenStream` containing a single token.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`SingleTokenTokenStream(Token token)`

Method Summary
`Token` `getToken()`
`boolean` `incrementToken()` Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`Token` `next()` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`Token` `next(Token reusableToken)` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`void` `reset()` Resets this stream to the beginning.
`void` `setToken(Token token)`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, getOnlyUseNewAPI, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleTokenTokenStream

    public SingleTokenTokenStream(Token token)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws java.io.IOException

  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)` or downcasts, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Overrides:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise

    Note that this method will be defined abstract in Lucene 3.0.

  Throws:
    `java.io.IOException`

### next

    public final Token next(Token reusableToken)
                     throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned `Token` before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it and returning it
  Also, the producer must make no assumptions about a `Token` after it has been returned: the caller may arbitrarily change it. If the producer needs to hold onto the `Token` for subsequent calls, it must clone() it before storing it. Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a `Token` that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    next `Token` in the stream or null if end-of-stream was hit
  Throws:
    `java.io.IOException`

### next

    public final Token next()
                     throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Description copied from class: `TokenStream`
  Returns the next `Token` in the stream, or null at EOS.

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Description copied from class: `TokenStream`
  Resets this stream to the beginning. This is an optional operation, so subclasses may or may not implement this method. `TokenStream.reset()` is not needed for the standard indexing process. However, if the tokens of a `TokenStream` are intended to be consumed more than once, it is necessary to implement `TokenStream.reset()`. Note that if your TokenStream caches tokens and feeds them back again after a reset, it is imperative that you clone the tokens when you store them away (on the first pass) as well as when you return them (on future passes after `TokenStream.reset()`).

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `java.io.IOException`

### getToken

    public Token getToken()

### setToken

    public void setToken(Token token)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.